<?php
	$region_slug = $this->params['region'];
	$country_slug = $this->params['country'];
	
	$r_model = new Cubix_Geography_Regions();
	$region = $r_model->getRegionBySlug($region_slug);
	
	$c_model = new Cubix_Geography_Cities();
	
	$gender = 1;
	$type = false;
	$filter = null;
	if ( is_array($this->params['filter']) )
	{
		foreach ($this->params['filter'] as $v)
		{
			if ( array_search('boys', $v) ) {
				$gender = GENDER_MALE;
				$filter = 'boys';
			}
			else if ( array_search('trans', $v) ) {
				$gender = GENDER_TRANS;
				$filter = 'trans';
			}
				
			if ( array_search('agency', $v) ) {
				$type = USER_TYPE_AGENCY;
				$filter = 'agency';
			}
			else if ( array_search('independents', $v) ) {
				$type = USER_TYPE_SINGLE_GIRL;
				$filter = 'independents';
			}
		}
	}

	$cities = $c_model->getByRegionId($region->id, $gender, $type);
?>

<?php if ( count($cities) > 0 ): ?>
<div class="bbox" id="city-list">
	<span class="strong"><?= $this->t('cities_in_region', array('REGION' => $region->title)) ?>:</span>
	<div class="clear"></div>

	<? $counter = 0; ?>
	<? foreach ($cities as $city): ?>
		<? if (0 == ($counter) % 7): ?>
			<?= (0 != $counter)? '</ul>' : ''; ?>
			<ul class="region-cities-list">
		<? endif; ?>

		<li>
			<a href="<?= $this->getLink('escorts', array('city' => $city->country_iso . '_' . $city->slug, 'region' => null, 'filter' => null, 'page' => null)) ?>"><span><?= $city->title ?></span> (<?= $city->escort_count ?>)</a>
		</li>

		<? $counter++; ?>
	<?php endforeach;?>
			</ul>
	<div class="clear"></div>
</div>
<?php endif; ?>	
